Name:          cas-client
Version:       3.4.1
Release:       8%{?dist}
Summary:       Jasig CAS Client for Java
License:       ASL 2.0 and BSD
Url:           https://github.com/Jasig/java-cas-client
Source0:       https://github.com/Jasig/java-%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(net.sf.ehcache:ehcache-core)
BuildRequires: mvn(net.spy:spymemcached)
BuildRequires: mvn(org.apache.santuario:xmlsec)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-test)

BuildArch:     noarch

%description
Jasig CAS Client for Java is the integration point for applications that
want to speak with a CAS server, either via the CAS 1.0 or CAS 2.0 protocol.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n java-%{name}-%{name}-%{version}

find . -name "*.class" -delete
find . -name "*.jar" -delete

%pom_remove_parent
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-enforcer-plugin

%pom_disable_module cas-client-integration-atlassian
%pom_disable_module cas-client-integration-jboss
%pom_disable_module cas-client-integration-tomcat-v6
%pom_disable_module cas-client-integration-tomcat-v7

%pom_change_dep xml-security:xmlsec org.apache.santuario:xmlsec::runtime cas-client-core

%pom_xpath_set "pom:dependency[pom:artifactId = 'log4j']/pom:version" 1.2.17
%pom_xpath_set "pom:dependency[pom:artifactId = 'log4j']/pom:version" 1.2.17 cas-client-core
%pom_xpath_set "pom:dependency[pom:artifactId = 'javax.servlet-api']/pom:version" 3.1.0

# IncompatibleClassChangeError: class org.springframework.core.LocalVariableTableParameterNameDiscoverer$ParameterNameDiscoveringVisitor has interface org.objectweb.asm.ClassVisitor as super class
rm -r cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ProxyTicketValidatorTests.java

# java.net.ConnectException: Connection refused
rm -r cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ServiceTicketValidatorTests.java

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license %{name}-core/LICENSE.txt LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license %{name}-core/LICENSE.txt LICENSE NOTICE

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 24 2015 gil cattaneo <puntogil@libero.it> 3.4.1-1
- update to 3.4.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 06 2015 gil cattaneo <puntogil@libero.it> 3.3.3-4
- disable tomcat7 module and opensalm support

* Wed Mar 04 2015 gil cattaneo <puntogil@libero.it> 3.3.3-3
- use servlet api 3.1

* Fri Jan 30 2015 gil cattaneo <puntogil@libero.it> 3.3.3-2
- introduce license macro

* Tue Aug 19 2014 gil cattaneo <puntogil@libero.it> 3.3.3-1
- update to 3.3.3
- fix CVE-2014-4172 (rhbz#1131371)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 04 2013 gil cattaneo <puntogil@libero.it> 3.2.1-4
- rebuilt with XMvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 3.2.1-2
- disable tomcat6 module
- adapt to current guideline

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 3.2.1-1
- initial rpm
